Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 6237)
@@ -13,4 +13,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,2 +31,4 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB 
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 6237)
@@ -13,4 +13,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,2 +31,4 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB 
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 6237)
@@ -13,4 +13,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,2 +31,4 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB 
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 6237)
@@ -25,4 +25,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -56,2 +58,5 @@
 %USER_INC            %XIOS_INC %NCDF_INC %HDF5_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB %HDF5_LIB  -lnetcdff -lnetcdf -lstdc++ -lz -lcurl -lgpfs
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 6237)
@@ -13,4 +13,6 @@
 # USER_INC additional include files for the compiler, e.g. -I<include dir>
 # USER_LIB additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,3 +31,5 @@
 %USER_INC %NCDF_INC
 %USER_LIB %NCDF_LIB
+%CC                  icc
+%CFLAGS              -O0
 
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 6237)
@@ -13,4 +13,6 @@
 # USER_INC additional include files for the compiler, e.g. -I<include dir>
 # USER_LIB additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,3 +31,5 @@
 %USER_INC %NCDF_INC
 %USER_LIB %NCDF_LIB
+%CC                  icc
+%CFLAGS              -O0
 
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 6237)
@@ -13,4 +13,6 @@
 # USER_INC additional include files for the compiler, e.g. -I<include dir>
 # USER_LIB additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,3 +31,5 @@
 %USER_INC %NCDF_INC
 %USER_LIB %NCDF_LIB
+%CC                  icc
+%CFLAGS              -O0
 
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 6237)
@@ -25,4 +25,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -55,2 +57,4 @@
 %USER_INC            %XIOS_INC %NCDF_INC %HDF5_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB %HDF5_LIB
+%CC                  icc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 6237)
@@ -15,4 +15,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 %NCDF_INC            -I/srv/lib/netcdf-x/include
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 6237)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -58,2 +60,5 @@
 #FCFLAGS             -g -traceback -r8 -O0 -xT -ip -vec-report0
 #FFLAGS              -g -traceback -r8 -O0 -xT -ip -vec-report0
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 6237)
@@ -17,4 +17,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -48,2 +50,5 @@
 %USER_INC            %XIOS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB %XLF90_LIB
+
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-PW7_METO.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 6237)
@@ -15,4 +15,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -24,5 +26,5 @@
 %FC                  mpxlf90_r
 %FCFLAGS             -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF
-%FFLAGS              -qrealsize=8 -qextname -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF -qfixed
+%FFLAGS             -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF
 %LD                  mpCC_r
 %LDFLAGS             -lxlf90 -L/projects/um1/lib -lsig -O2 -L MASS
@@ -33,2 +35,4 @@
 %USER_INC            %NCDF_INC %XIOS_INC
 %USER_LIB            %NCDF_LIB %XIOS_LIB
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-PW7_MONSOON.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-PW7_MONSOON.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-PW7_MONSOON.fcm	(revision 6237)
@@ -15,4 +15,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 %NCDF_INC            -I/home/dcalve/netcdf/4.1.3_seq/include
@@ -32,2 +34,5 @@
 %USER_INC            %NCDF_INC %XIOS_INC
 %USER_LIB            %NCDF_LIB %XIOS_LIB
+
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_ADA.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_ADA.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_ADA.fcm	(revision 6237)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -54,2 +56,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  icc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_ADA_O0.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_ADA_O0.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_ADA_O0.fcm	(revision 6237)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -53,2 +55,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  icc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_CURIE.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_CURIE.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_CURIE.fcm	(revision 6237)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -58,2 +60,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm	(revision 6237)
@@ -29,4 +29,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -58,2 +60,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_VAYU.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_VAYU.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_VAYU.fcm	(revision 6237)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -53,2 +55,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm	(revision 6237)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -53,2 +55,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-XC40_METO.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-XC40_METO.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-XC40_METO.fcm	(revision 6237)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -31,5 +33,5 @@
 %NCDF_HOME           /opt/cray/netcdf-hdf5parallel/4.3.2/CRAY/83
 %HDF5_HOME           /opt/cray/hdf5-parallel/1.8.13/CRAY/83
-%XIOS_HOME           /projects/ocean/nemo/xios/xios_1.0_r618_20150619/XIOS
+%XIOS_HOME           /projects/ocean/nemo/xios/xios_1.0_r629_20150625/XIOS
 
 %NCDF_INC            -I%NCDF_HOME/include -I%HDF5_HOME/include
@@ -51,2 +53,5 @@
 %USER_INC            %XIOS_INC
 %USER_LIB            %XIOS_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-XC_ARCHER.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 6237)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -57,2 +59,5 @@
 #USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 #USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 6237)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -55,2 +57,5 @@
 #USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 #USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-macport_osx.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 6237)
@@ -33,4 +33,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -62,2 +64,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm
===================================================================
--- branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 5781)
+++ branches/UKMO/nemo_v3_6_STABLE_copy/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 6237)
@@ -13,4 +13,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 # debug: -g  -check bounds -check uninit -check pointers -traceback
 
@@ -31,2 +33,5 @@
 %USER_INC            -I$XIOS_INC %NCDF_INC
 %USER_LIB            -L$XIOS_LIB -lxios %NCDF_LIB -lstdc++
+
+%CC                  cc
+%CFLAGS              -O0